Error trying to build using: "appbuilder build ios --companion"

2 posts, 0 answers
  1. Leonardo
    Leonardo avatar
    16 posts
    Member since:
    Feb 2014

    Posted 25 Jun 2014 Link to this post

    Hello,

    I have shared my working code to one of my coworkers but he is getting this error when he tries to build the app:

    Deploying to AppBuilder companion app.
    Cannot call method 'replace' of null
    Usage:
        $ appbuilder build <Platform> [--download] [--no-livesync]

    Platform-specific examples:
        $ appbuilder build android [--companion]
        $ appbuilder build ios [--certificate <index or name>] [--provision <index or name>] [--companion]
        $ appbuilder build wp8

    ...

    We have tried to solve that but we couldn't find any source about that related with Telerik on the internet and I have never seen that on my computer.
    What does that error mean?
  2. Tina Stancheva
    Admin
    Tina Stancheva avatar
    3298 posts

    Posted 30 Jun 2014 Link to this post

    Hi Leonardo,

    Can you please elaborate a bit more on the issue. It would help us to know if the same can be reproduced when deploying directly on a device or when building in the AppBuilder simulator. If the error comes up in any of these two cases, you can try debugging it.

    If it doesn't, I'm afraid we will need the app to test it locally and see if we can reproduce the error and get to its cause. You can also check if there is a log created in your project's folder and send it over.

    Regards,
    Tina Stancheva
    Telerik
     

    Share what you think about AppBuilder and Telerik Platform with us in our feedback portal, so we can become even better!

     
Back to Top